| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Protected Types | Private Attributes | List of all members
Gaudi::NamedRange_< CONTAINER, ITERATOR > Class Template Reference

`#include <GaudiKernel/NamedRange.h>`

Inheritance diagram for Gaudi::NamedRange_< CONTAINER, ITERATOR >:
[legend]
Collaboration diagram for Gaudi::NamedRange_< CONTAINER, ITERATOR >:
[legend]

## Public Member Functions
| NamedRange_ ()=default
| default constructor More...
| NamedRange_ (typename Base::iterator ibegin, typename Base::iterator iend, std::string name="")
| Constructor. More...
| NamedRange_ (const Base &base, std::string name="")
| constructor from the base class More...
| NamedRange_ (const typename Base::Base &base, std::string name="")
| constructor from the base class More...
| NamedRange_ (const typename Base::Container &base, std::string name="")
| constructor from the base class More...
| NamedRange_ (typename Base::iterator ibegin, std::string name="")
| ~NamedRange_ ()=default
| destructor More...
NamedRange_ | slice (long index1, long index2) const
| get a "slice" of a range, in Python style More...
const std::string & | name () const
| get the name of the range More...
void | setName (const std::string &value)
| set the name of the range More...
Public Member Functions inherited from Gaudi::Range_< CONTAINER, ITERATOR >
| Range_ ()=default
| internal types More...
template<typename InputIterator >
| Range_ (InputIterator first, InputIterator last)
| Constructor. More...
| Range_ (const Base &base)
| constructor from the pair of iterators More...
| Range_ (const Container &cont)
| constructor from the container More...
| Range_ (iterator ibegin)
| ~Range_ ()=default
| destructor More...
bool | empty () const
| empty sequence ? More...
size_t | size () const
| size of the sequence (number of elements) More...
iterator | begin () const
| access to begin of the sequence (const version ) More...
iterator | end () const
| access to end of the sequence (const version) More...
iterator | cbegin () const
| access to begin of the sequence (const version ) More...
iterator | cend () const
| access to end of the sequence (const version) More...
reverse_iterator | rbegin () const
| access to begin of the reversed sequence (const) More...
reverse_iterator | rend () const
| access to begin of the reversed sequence (const) More...
const_reference | front () const
| access for the first element (only for non-empty ranges!) More...
const_reference | back () const
| access for the back element (only for non-empty ranges!) More...
Range_ | slice (long index1, long index2) const
| get a "slice" of a range, in Python style More...
const_reference | operator() (const size_t index) const
| non-checked access to the elements by index (valid only for non-empty sequences) More...
const_reference | operator[] (const long index) const
| non-checked access to the elements by index (valid only for non-empty sequences) More...
const_reference | at (const long index) const
| Checked access to the elements by index (valid for all sequences) More...
template<class C , class I >
bool | operator< (const Range_< C, I > &right) const
| compare with another range More...
template<class ANOTHERCONTAINER >
bool | operator< (const ANOTHERCONTAINER &right) const
| compare with another container More...
bool | operator== (const Range_ &right) const
| equality with another range More...
template<class CNT , class IT >
bool | operator== (const Range_< CNT, IT > &right) const
| equality with another range type More...
template<class ANOTHERCONTAINER >
bool | operator== (const ANOTHERCONTAINER &right) const
| compare with another container More...
bool | operator! () const
| empty sequence? More...
| operator bool () const
| non-empty sequence? More...
| operator const Base & () const
| conversion operator to the std::pair More...
const Base & | base () const
| conversion operator to the std::pair More...

## Protected Types
typedef Gaudi::Range_< CONTAINER, ITERATOR > | Base
| the base class More...
typedef NamedRange_< CONTAINER, ITERATOR > | Self
| "self"-type More...

## Private Attributes
std::string | m_name
| the name, associated to the range More...

## Additional Inherited Members
Public Types inherited from Gaudi::Range_< CONTAINER, ITERATOR >
typedef std::pair< ITERATOR, ITERATOR > | Base
typedef Gaudi::details::container< CONTAINER >::Container | Container
| type for actual contained iterator More...
typedef ITERATOR | iterator
typedef ITERATOR | const_iterator
typedef iter_traits::value_type | value_type
typedef iter_traits::reference | reference
typedef iter_traits::reference | const_reference
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef std::reverse_iterator< iterator > | const_reverse_iterator

## Detailed Description

### template<class CONTAINER, class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>
class Gaudi::NamedRange_< CONTAINER, ITERATOR >

Definition at line 42 of file NamedRange.h.

## Member Typedef Documentation

## ◆ Base

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

typedef Gaudi::Range_<CONTAINER, ITERATOR> Gaudi::NamedRange_< CONTAINER, ITERATOR >::Base
| protected

the base class

Definition at line 46 of file NamedRange.h.

## ◆ Self

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

typedef NamedRange_<CONTAINER, ITERATOR> Gaudi::NamedRange_< CONTAINER, ITERATOR >::Self
| protected

"self"-type

Definition at line 48 of file NamedRange.h.

## Constructor & Destructor Documentation

## ◆ NamedRange_() [1/6]

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

Gaudi::NamedRange_< CONTAINER, ITERATOR >::NamedRange_ | ( |  | ) |
| default

default constructor

## ◆ NamedRange_() [2/6]

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

Gaudi::NamedRange_< CONTAINER, ITERATOR >::NamedRange_ | ( | typename Base::iterator | ibegin,
|  | typename Base::iterator | iend,
|  | std::string | name = `""`
| ) |  |
| inline

Constructor.

Parameters

  ibegin | iterator to begin of the sequence
  iend | iterator to end of the sequence
  name | name of the range

Definition at line 59 of file NamedRange.h.

60 : Base( ibegin, iend ), m_name( std::move( name ) ){};
Gaudi::NamedRange_::name
const std::string & name() const
get the name of the range
Definition: NamedRange.h:96
std::move
T move(T... args)
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:103
Gaudi::NamedRange_::Base
Gaudi::Range_< CONTAINER, ITERATOR > Base
the base class
Definition: NamedRange.h:46

## ◆ NamedRange_() [3/6]

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

Gaudi::NamedRange_< CONTAINER, ITERATOR >::NamedRange_ | ( | const Base & | base,
|  | std::string | name = `""`
| ) |  |
| inline

constructor from the base class

Parameters

  base | base objects
  name | name of the range

Definition at line 65 of file NamedRange.h.

65 : Base( base ), m_name( std::move( name ) ){};
Gaudi::Range_::base
const Base & base() const
conversion operator to the std::pair
Definition: Range.h:239
Gaudi::NamedRange_::name
const std::string & name() const
get the name of the range
Definition: NamedRange.h:96
std::move
T move(T... args)
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:103
Gaudi::NamedRange_::Base
Gaudi::Range_< CONTAINER, ITERATOR > Base
the base class
Definition: NamedRange.h:46

## ◆ NamedRange_() [4/6]

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

Gaudi::NamedRange_< CONTAINER, ITERATOR >::NamedRange_ | ( | const typename Base::Base & | base,
|  | std::string | name = `""`
| ) |  |
| inline

constructor from the base class

Parameters

  base | base objects
  name | name of the range

Definition at line 70 of file NamedRange.h.

70 : Base( base ), m_name( std::move( name ) ){};
Gaudi::Range_::base
const Base & base() const
conversion operator to the std::pair
Definition: Range.h:239
Gaudi::NamedRange_::name
const std::string & name() const
get the name of the range
Definition: NamedRange.h:96
std::move
T move(T... args)
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:103
Gaudi::NamedRange_::Base
Gaudi::Range_< CONTAINER, ITERATOR > Base
the base class
Definition: NamedRange.h:46

## ◆ NamedRange_() [5/6]

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

Gaudi::NamedRange_< CONTAINER, ITERATOR >::NamedRange_ | ( | const typename Base::Container & | base,
|  | std::string | name = `""`
| ) |  |
| inline

constructor from the base class

Parameters

  base | base objects
  name | name of the range

Definition at line 75 of file NamedRange.h.

76 : Base( base ), m_name( std::move( name ) ){};
Gaudi::Range_::base
const Base & base() const
conversion operator to the std::pair
Definition: Range.h:239
Gaudi::NamedRange_::name
const std::string & name() const
get the name of the range
Definition: NamedRange.h:96
std::move
T move(T... args)
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:103
Gaudi::NamedRange_::Base
Gaudi::Range_< CONTAINER, ITERATOR > Base
the base class
Definition: NamedRange.h:46

## ◆ NamedRange_() [6/6]

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

Gaudi::NamedRange_< CONTAINER, ITERATOR >::NamedRange_ | ( | typename Base::iterator | ibegin,
|  | std::string | name = `""`
| ) |  |
| inline

Definition at line 81 of file NamedRange.h.

82 : Base( ibegin, ibegin ), m_name( std::move( name ) ){};
Gaudi::NamedRange_::name
const std::string & name() const
get the name of the range
Definition: NamedRange.h:96
std::move
T move(T... args)
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:103
Gaudi::NamedRange_::Base
Gaudi::Range_< CONTAINER, ITERATOR > Base
the base class
Definition: NamedRange.h:46

## ◆ ~NamedRange_()

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

Gaudi::NamedRange_< CONTAINER, ITERATOR >::~NamedRange_ | ( |  | ) |
| default

destructor

## Member Function Documentation

## ◆ name()

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

const std::string& Gaudi::NamedRange_< CONTAINER, ITERATOR >::name | ( |  | ) | const
| inline

get the name of the range

Definition at line 96 of file NamedRange.h.

96 { return m_name; }
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:103

## ◆ setName()

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

void Gaudi::NamedRange_< CONTAINER, ITERATOR >::setName | ( | const std::string & | value | ) |
| inline

set the name of the range

Definition at line 98 of file NamedRange.h.

98 { m_name = value; }
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:103

## ◆ slice()

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

NamedRange_ Gaudi::NamedRange_< CONTAINER, ITERATOR >::slice | ( | long | index1,
|  | long | index2
| ) |  | const
| inline

get a "slice" of a range, in Python style

Definition at line 89 of file NamedRange.h.

89 {
90 return NamedRange_( Base::slice( index1, index2 ), m_name );
91 }
Gaudi::NamedRange_::NamedRange_
NamedRange_()=default
default constructor
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:103

## Member Data Documentation

## ◆ m_name

template<class CONTAINER , class ITERATOR = typename Gaudi::details::container<CONTAINER>::Iterator>

std::string Gaudi::NamedRange_< CONTAINER, ITERATOR >::m_name
| private

the name, associated to the range

Definition at line 103 of file NamedRange.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NamedRange.h